<div class="trainee-header">
  <div class="navigation-header">
    <span class="overview-button" (click)="onOverviewClick()">Training progress overview</span>
    <span> > </span>
    <span>Trainee details</span>

  </div>
  <div class="trainee-overview">
    <div class="circle">
      <img class="trainee-avatar" src="{{'data:image/jpg;base64,' + trainee.picture}}">
    </div>
    <div class="trainee-overview-details">
      <div>{{trainee.name}}</div>
        <div class="training-time-overview"></div>
    </div>
  </div>

  <div *ngIf="getCurrentTraineeLevel()">
    <mat-divider></mat-divider>

    <div *ngIf="isTrainingLevel()" class="hints-container">
      <div>
        Used {{getHintsUsed()}} of {{getHints().length}} hints:
      </div>
      <div class="hints-list">
        <ng-container *ngFor="let hint of getHints()">
          <div *ngIf="hintUsed(hint); else not_used" class="hint-used" [matTooltip]="hint.content">
            <div class="hint-title">
              {{hint.title}}
            </div>
            <div class="used-time">
              {{getUsedHintTime(hint)}}
            </div>
          </div>
          <ng-template #not_used>
            <div class="hint-available" [matTooltip]="hint.content">
              <div class="hint-title">
                {{hint.title}}
              </div>
              <div class="used-time">
                available
              </div>
            </div>
          </ng-template>
        </ng-container>
      </div>
    </div>

    <div *ngIf="isTrainingLevel()" class="answer-container">
      <div class="correct-answer">
        <div class="correct-answer-title">{{getCurrentLevel().answer}}</div>
        <div>(correct answer)</div>
      </div>
      <mat-divider class="answer-divider" [vertical]="true" ></mat-divider>
      <div class="answer-list">
        <div *ngFor="let wrongAnswer of getWrongAnswers()" class="wrong-answer">
          <div class="wrong-answer-title">{{wrongAnswer.value}}</div>
          <div>{{wrongAnswer.timesUsed}}x</div>
          <div class="used-time">{{wrongAnswer.lastUsed}}</div>
        </div>
      </div>
    </div>

    <div class="level-timeline-container">
      <div>Detailed timeline</div>
      <div class="level-timeline" (window:resize)="onResize()"></div>
    </div>
    <div class="command-timeline-container">
      <div>Command timeline</div>
      <div class="command-timeline" (window:resize)="onResize()"></div>
    </div>
  </div>
  <div *ngIf="!getCurrentTraineeLevel()">
    Trainee finished
  </div>
</div>
